#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{purchasing.KeranjangBelanjaCtr.index()}">&{'keranjang_belanja.label'}</a></li>
				<li class="active">&{'buat_paket.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
			#{alert /}
		</div>
	</div>

	<div class="row">
		<div class="wizard-form-wrapper">
			<div class="padded">
				<div id="rootwizard">
					<div class="wizard-header">
						<div class="row">
							<div class="col-md-12">
								<h4>&{'buat_paket.label'} - ${penyedia.nama_penyedia}</h4>
							</div>
							<div class="col-md-12">
								<div class="navbar">
									<div class="navbar-inner">

										<ul class="nav nav-pills">
											<li class="active">
												<a href="#tab1" data-toggle="tab" class="btn-circle">1</a>
												<span>&{'pilih.label'} &{'rup.label'}</span>
											</li>
											<li>
												<a href="#tab2" data-toggle="tab" class="btn-circle">2</a>
												<span>&{'informasi_klpd.label'}</span>
											</li>
											<li>
												<a href="#tab3" data-toggle="tab" class="btn-circle">3</a>
												#{if aktifUser != null && aktifUser.isPp()}<span>&{'data.label'} &{'pp_pemesan.label'}</span>#{/if}
												#{if aktifUser != null && aktifUser.isPpk()}<span>&{'data.label'} &{'ppk_pembeli.label'}</span>#{/if}
											</li>
											#{if aktifUser != null && aktifUser.isPp()}
											<li>
												<a href="#tab4" data-toggle="tab" class="btn-circle">4</a>
												<span>&{'pilih.label'} &{'ppk_pembeli.label'}</span>
											</li>
											<li>
												<a href="#tab5" data-toggle="tab" class="btn-circle">5</a>
												<span>&{'daftar_produk.label'}</span>
											</li>
											#{/if}
											#{if aktifUser != null && aktifUser.isPpk()}
											<li>
												<a href="#tab4" data-toggle="tab" class="btn-circle">4</a>
												<span>&{'daftar_produk.label'}</span>
											</li>
											#{/if}
										</ul>
									</div>
								</div>
							</div>
						</div>

						<div class="wizard-body">
							<div class="panel panel-default">
								<div class="panel-body">
									<div class="row">
										#{form @purchasing.PaketCtr.createSubmit(), method:'POST', class:'form-horizontal form-paket', id:'formBuatPaket', enctype:'multipart/form-data'}
											<input type="hidden" name="paket.penyedia_id" value="${penyedia.id}">
											<input type="hidden" name="wId"  value="${wilayahId}" />
											<input type="hidden" id="paket-id" name="paket.paket_id"  value="${paket?.paket_id}" />
											<input type="hidden" id="paket-status" name="paket.status" value="${paket?.getStatus()?.status_paket}"/>
											<input type="hidden" name="kursId"  value="${kursId}" />
											<input type="hidden" name="komId"  value="${komoditas?.id}" />
											<input type="hidden" name="paket.page"  value="edit" />
											<input type="hidden" name="auto" id="auto-save" value="yes" />
											<input type="hidden" name="url_reload"  id="url_reload" />
											<input type="hidden" name="paket.isEdit"  id="isEdit" value="no"/>
											<div class="tab-content">
												<div class="tab-pane active" id="tab1">
													<h4>&{'pilih.label'} &{'rup.label'}</h4>
													<hr>
													#{include 'pl/form-data-paket/form-pilih-rup.html'/}
												</div>
												<div class="tab-pane" id="tab2">
													<h4>&{'informasi_klpd.label'}</h4>
													<hr>
													#{include 'pl/form-data-paket/form-informasi-kldi.html'/}
												</div>

												<div class="tab-pane" id="tab3">
													#{if aktifUser != null && aktifUser.isPp()}<h4>&{'data.label'} &{'pp_pemesan.label'}</h4>#{/if}
													#{if aktifUser != null && aktifUser.isPpk()}<h4>&{'data.label'} &{'ppk_pembeli.label'}</h4>#{/if}
													<hr>
													#{include 'pl/form-data-paket/form-informasi-pp.html'/}
												</div>
												#{if aktifUser != null && aktifUser.isPp()}
												<div class="tab-pane" id="tab4">
													<h4>&{'dokumen_penawaran.label'}</h4>
													<hr>
													<div class="col-md-6">
														<div class="panel panel-default">
															<div class="panel-heading">&{'cari.label'} &{'ppk.label'}</div>
															<div class="panel-body">#{include
																'pl/form-data-paket/form-pilih-ppk.html'/}</div>
														</div>
													</div>
													<div class="col-md-6">
														<div class="panel panel-default">
															<div class="panel-heading">&{'ppk_pembeli.label'}</div>
															<div class="panel-body">#{include
																'pl/form-data-paket/form-informasi-ppk.html'/}</div>
														</div>
													</div>
												</div>
												#{/if}
												#{if aktifUser != null && aktifUser.isPp()}
                                                <div class="tab-pane" id="tab5">
                                                #{/if}
												#{if aktifUser != null && aktifUser.isPpk()}
												<div class="tab-pane" id="tab4">
                                                #{/if}
													<h4>&{'daftar_produk.label'}</h4>
													<hr>
													<div class="col-md-12">
														#{include 'pl/form-data-paket/form-informasi-produk.html'/}
													</div>
												</div>
												<ul class="pager wizard">
													<li class="previous"><a href="#">&{'sebelumnya.label'}</a></li>
													<li class="next"><a href="#">&{'selanjutnya.label'}</a></li>
													<li class="simpan">
														#{if paket?.getStatus() == null || paket?.getStatus()?.status_paket?.equalsIgnoreCase('draft') }
														<button id="draft" class="btn btn-md btn-secondary button-save" data-value="draft" type="button" >&{'draft.label'}</button>
														#{/if}
														<button id="save" class="btn btn-md btn-primary button-save" data-value="save" type="button" >&{'simpan.label'}</button>
														<button type="submit" id="btn-submit" style="display: none;"></button>
													</li>

												</ul>
											</div>
										#{/form}
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</div>
#{validationPackage/}
#{set 'moreScripts'}
<script src="@{'/public/javascripts/ladda/spin.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/ladda/ladda.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/paket/form-paket.js'}" type="text/javascript"> </script>
<script type="text/javascript" src="@{'public/javascripts/bootstrap-notify.min.js'}"></script>
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript" src="@{'public/javascripts/jquery.maskedinput.min.js'}"></script>
<script>
	var params = {};
	params["urlGetKabupaten"] = "@{purchasing.KeranjangBelanjaCtr.getKabupatens()}";
	params["urlGetOngkir"] = "@{purchasing.KeranjangBelanjaCtr.getOngosKirim()}";
	params["kelasHarga"] = "${kelasHarga}";
	params["wilayahId"] = "${wilayahId}";
	params["provinsiId"] = "${provinsiId}";
	params["perluOngkir"] = "${komoditas?.perlu_ongkir}";
	params["submitPaket"] = "@{purchasing.PaketCtr.automatedSaving()}";
	params["reloadPaket"] = "/"+"${language}"+"/purchasing/paket/detail/";

	$("#rupQuerySearch").keyup(function(){
			var val = $("#rupQuerySearch").val();
			$("#btnCariRupPaket").attr("disabled", val==="");
	});

    $('#formBuatPaket').on('keyup keypress', function(e) {
        var keyCode = e.keyCode || e.which;
        if (keyCode === 13) {
            e.preventDefault();
            return false;
        }
    });

</script>
#{/set}
